Package ru.bitel.bgbilling.modules.cerbercrypt.common.bean

# Class UserCard

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.cerbercrypt.common.bean.UserCard

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class UserCard extends Id implements GuiTitlable, ListItem
Класс-модель "Карта пользователя". Это карта с привязкой к договору отражает сущность user_card_{mid}

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `basecardId`
  `protected String`
  `basecardTitle`
  `protected String`
  `comment`
  `protected int`
  `contractId`
  `protected Date`
  `date1`
  `protected Date`
  `date2`
  `static final UserCard`
  `NULL`
  `protected long`
  `number`
  `protected int`
  `slavecardsNumber`
  `protected Date`
  `subscrDate`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserCard()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `format()`
  Возвращает номер карты в формате 000000.
  `int`
  `getBasecardId()`
  Ид базовой карты для этой карты, если есть (мультирум).
  `String`
  `getBasecardTitle()`
  Титле столбца мультирума.
  `String`
  `getComment()`
  Возвращает комментарий.
  `int`
  `getContractId()`
  `String`
  `getContractTitleComment()`
  `Date`
  `getDate1()`
  Возвращает дату начало периода действия карты.
  `Date`
  `getDate2()`
  Возвращает дату окончания периода действия карты.
  `String`
  `getGuiTitle()`
  Уникальная строка - имя объекта.
  `long`
  `getNumber()`
  Возвращает номер карты.
  `int`
  `getObjectId()`
  Возвращает код объекта договора
  `String`
  `getPairingModule()`
  `int`
  `getSlavecardsNumber()`
  Количество зависимых карт.
  `Date`
  `getSubscrDate()`
  Возвращает дату с которой возможна подписка по карте через вэб.
  `String`
  `getTitle()`
  `int`
  `getUserdeviceId()`
  Возвращает код устройства юзера для этой юзер_карты.
  `String`
  `getUserdeviceSN()`
  `boolean`
  `isNeedSync()`
  Флаг того, что карта требует синхронизации (была изменена, но не была успешно синхронизирована)
  `UserCard`
  `setBasecardId(int basecardId)`
  Ид базовой карты для этой карты, если есть (мультирум).
  `UserCard`
  `setBasecardTitle(String basecardTitle)`
  Титле столбца мультирума.
  `UserCard`
  `setComment(String comment)`
  Устанавливает комментарий.
  `UserCard`
  `setContractId(int contractId)`
  `UserCard`
  `setContractTitleComment(String contractTitleComment)`
  `UserCard`
  `setDate1(Date date1)`
  Устанавливает дату начала периода действия карты.
  `UserCard`
  `setDate2(Date date2)`
  Устанавливает дату окончания периода действия карты.
  `UserCard`
  `setId(int id)`
  Устанавливает id объекта
  `UserCard`
  `setNeedSync(boolean needSync)`
  Установка флага того, что карта требует синхронизации (была изменена).
  `UserCard`
  `setNumber(long number)`
  Устанавливает номер карты.
  `UserCard`
  `setObjectId(int objectId)`
  Устанавливает привязку к объектам договора
  `UserCard`
  `setPairingModule(String pairingModule)`
  `UserCard`
  `setSlavecardsNumber(int slavecardsNumber)`
  Количество зависимых карт.
  `UserCard`
  `setSubscrDate(Date changeSubscrDate)`
  Устанавливает дату с которой возможна подписка по карте через вэб.
  `UserCard`
  `setUserdeviceId(int userdeviceId)`
  Устанавливает код устройства юзера для этой юзер_карты.
  `UserCard`
  `setUserdeviceSN(String userdeviceSN)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### NULL

    public static final UserCard NULL

  - ### contractId

    protected int contractId

  - ### number

    protected long number

  - ### date1

    protected Date date1

  - ### date2

    protected Date date2

  - ### subscrDate

    protected Date subscrDate

  - ### comment

    protected String comment

  - ### basecardId

    protected int basecardId

  - ### basecardTitle

    protected String basecardTitle

  - ### slavecardsNumber

    protected int slavecardsNumber

- ## Constructor Details

  - ### UserCard

    public UserCard()

- ## Method Details

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Id`

  - ### format

    public String format()
    Возвращает номер карты в формате 000000.
    Returns:
      номер карты

  - ### getBasecardId

    public int getBasecardId()
    Ид базовой карты для этой карты, если есть (мультирум).
    Returns:
      id карты (не номер)

  - ### getBasecardTitle

    public String getBasecardTitle()
    Титле столбца мультирума.
    Returns:
      содержимое столбца про мультирум (фиктивный столбец, в таблице нету)

  - ### getComment

    public String getComment()
    Возвращает комментарий.
    Returns:
      комментарий

  - ### getContractId

    public int getContractId()

  - ### getContractTitleComment

    public String getContractTitleComment()

  - ### getDate1

    public Date getDate1()
    Возвращает дату начало периода действия карты.
    Returns:
      дата начала периода

  - ### getDate2

    public Date getDate2()
    Возвращает дату окончания периода действия карты.
    Returns:
      дата окончания периода

  - ### getGuiTitle

    public String getGuiTitle()
    Уникальная строка - имя объекта. Используется для комбобоксов.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Уникальная строка - имя объекта.

  - ### getNumber

    public long getNumber()
    Возвращает номер карты.
    Returns:
      номер карты

  - ### getObjectId

    public int getObjectId()
    Возвращает код объекта договора
    Returns:
      код объекта

  - ### getPairingModule

    public String getPairingModule()

  - ### getSlavecardsNumber

    public int getSlavecardsNumber()
    Количество зависимых карт. Относится к мультируму итд.
    Returns:
      количество зависимых карт к этой карте (фиктивный столбец, в БД нету)

  - ### getSubscrDate

    public Date getSubscrDate()
    Возвращает дату с которой возможна подписка по карте через вэб.
    Returns:
      дата подписки

  - ### getTitle

    public String getTitle()
    Specified by:
      `getTitle` in interface `ListItem`

  - ### getUserdeviceId

    public int getUserdeviceId()
    Возвращает код устройства юзера для этой юзер_карты.
    Returns:
      ид

  - ### getUserdeviceSN

    public String getUserdeviceSN()

  - ### isNeedSync

    public boolean isNeedSync()
    Флаг того, что карта требует синхронизации (была изменена, но не была успешно синхронизирована)

  - ### setBasecardId

    public UserCard setBasecardId(int basecardId)
    Ид базовой карты для этой карты, если есть (мультирум).
    Parameters:
      `basecardId` - ID карты (не номер)

  - ### setBasecardTitle

    public UserCard setBasecardTitle(String basecardTitle)
    Титле столбца мультирума.
    Parameters:
      `basecardTitle` - содержимое столбца про мультирум (фиктивный столбец, в таблице нету)

  - ### setComment

    public UserCard setComment(String comment)
    Устанавливает комментарий.
    Parameters:
      `comment` -

  - ### setContractId

    public UserCard setContractId(int contractId)

  - ### setContractTitleComment

    public UserCard setContractTitleComment(String contractTitleComment)

  - ### setDate1

    public UserCard setDate1(Date date1)
    Устанавливает дату начала периода действия карты.
    Parameters:
      `date1` -

  - ### setDate2

    public UserCard setDate2(Date date2)
    Устанавливает дату окончания периода действия карты.
    Parameters:
      `date2` -

  - ### setId

    public UserCard setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setNeedSync

    public UserCard setNeedSync(boolean needSync)
    Установка флага того, что карта требует синхронизации (была изменена).

  - ### setNumber

    public UserCard setNumber(long number)
    Устанавливает номер карты.
    Parameters:
      `number` -

  - ### setObjectId

    public UserCard setObjectId(int objectId)
    Устанавливает привязку к объектам договора
    Parameters:
      `objectId` - код объекта договора

  - ### setPairingModule

    public UserCard setPairingModule(String pairingModule)

  - ### setSlavecardsNumber

    public UserCard setSlavecardsNumber(int slavecardsNumber)
    Количество зависимых карт. Относится к мультируму итд.
    Parameters:
      `slavecardsNumber` - количество зависимых карт к этой карте (фиктивный столбец, в БД нету)

  - ### setSubscrDate

    public UserCard setSubscrDate(Date changeSubscrDate)
    Устанавливает дату с которой возможна подписка по карте через вэб.
    Parameters:
      `changeSubscrDate` -

  - ### setUserdeviceId

    public UserCard setUserdeviceId(int userdeviceId)
    Устанавливает код устройства юзера для этой юзер_карты.
    Parameters:
      `userdeviceId` - ид

  - ### setUserdeviceSN

    public UserCard setUserdeviceSN(String userdeviceSN)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`